=== debian/changelog ===
ros-eloquent-nav2-map-server (0.3.5-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Brian Wilcox <brian.wilcox@intel.com>  Mon, 29 Jun 2020 22:49:29 -0000
