=== debian/control ===
Source: ros-eloquent-nav2-map-server
Section: misc
Priority: optional
Maintainer: Brian Wilcox <brian.wilcox@intel.com>
Build-Depends: debhelper (>= 9.0.0), graphicsmagick-libmagick-dev-compat, libgraphicsmagick++1-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-launch, ros-eloquent-launch-ros, ros-eloquent-launch-testing, ros-eloquent-nav-msgs, ros-eloquent-nav2-common, ros-eloquent-nav2-util, ros-eloquent-rclcpp, ros-eloquent-rclcpp-lifecycle, ros-eloquent-std-msgs, ros-eloquent-tf2, ros-eloquent-yaml-cpp-vendor, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-nav2-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphicsmagick-libmagick-dev-compat, libgraphicsmagick++1-dev, ros-eloquent-launch-ros, ros-eloquent-launch-testing, ros-eloquent-nav-msgs, ros-eloquent-nav2-util, ros-eloquent-rclcpp, ros-eloquent-rclcpp-lifecycle, ros-eloquent-std-msgs, ros-eloquent-tf2, ros-eloquent-yaml-cpp-vendor, ros-eloquent-ros-workspace
Description: Refactored map server for ROS2 Navigation
